%global modname translationstring

Name:           python-translationstring
Version:        0.4
Release:        1%{?dist}
Summary:        Utility library for i18n relied on by various Repoze packages

Group:          Development/Libraries
License:        BSD
URL:            http://pypi.python.org/pypi/translationstring
Source0:        http://pypi.python.org/packages/source/t/translationstring/%{modname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-babel
BuildRequires:  python2-devel
BuildRequires:  python-setuptools-devel

%description
A library used by various `Repoze <http://repoze.org>`_ packages for
internationalization (i18n) duties related to translation.

This package provides a *translation string* class, a *translation string
factory* class, translation and pluralization primitives, and a utility that
helps `Chameleon <http://chameleon.repoze.org>`_ templates use translation
facilities of this package.  It does not depend on `Babel
<http://babel.edgewall.org>`_, but its translation and pluralization services
are meant to work best when provided with an instance of the
``babel.support.Translations`` class.

%prep
%setup -q -n %{modname}-%{version}

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%check
%{__python} setup.py test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.txt LICENSE.txt
%{python_sitelib}/*

%changelog
* Thu Dec 06 2012 Ralph Bean <rbean@redhat.com> - 0.4-1
- Bump version to 0.4 for python-pyramid-1.4.

* Wed Jan  2 2010 Luke Macken <lmacken@redhat.com> - 0.3-1
- Initial package
